%global pypi_name VOEventLib
%define version 0.3

Name:           python-voeventlib
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        Python wrappers to VOEvent
BuildArch:      noarch
License:        BSD
Source0:        http://lib.skyalert.org/VOEventLib/VOEventLib-0.3.tar.gz
 
BuildRequires:  python-devel

%description
VOEventLib is a reference implementation and parser for the VOEvent2
XML specification, now under discussion at the IVOA. For more
information about VOEvent, see VOEvent in wikipedia, or read the the
book Hotwiring the Transient Universe or the draft specification of
VOEvent 2.0. There is also the Skyalert web application for
publishing and dissemination of real-time astronomical events.

%prep
%setup -q -n %{pypi_name}-%{version}
sed -i -e "s/version='0.2'/version='0.3'/" setup.py

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc doc examples events schema
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.3-3.mga4
+ Revision: 544527
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3-2.mga4
+ Revision: 499712
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jan 17 2013 joequant <joequant> 0.3-1.mga4
+ Revision: 389214
- imported package python-voeventlib

